import { FC, HtmlHTMLAttributes, ReactNode } from 'react';
import { CredColorType } from '../../types';
import { TypographyProps } from '../typography';
export type BadgeVariantType = 'default' | 'colored' | 'transparent' | 'bordered';
export type BadgeShapeType = 'circle' | 'square';
export type BadgeColorType = CredColorType | 'light-purple' | 'transparent' | 'dark-green' | 'dark-red';
export type BadgeSizeType = 'sm' | 'md' | 'lg' | 'xl' | '2xl' | 'even';
export interface Props extends HtmlHTMLAttributes<HTMLDivElement> {
    /** @default = default*/
    variant?: BadgeVariantType;
    /** @default = circle*/
    shape?: BadgeShapeType;
    /** @default = black*/
    color?: BadgeColorType;
    /** @default = md*/
    size?: BadgeSizeType;
    icon?: ReactNode;
    typographyProps?: Partial<TypographyProps>;
}
declare const Badge: FC<Props>;
export default Badge;
