import { FC, HtmlHTMLAttributes, PropsWithChildren, ReactNode } from 'react';
import { CredRadiusType, CredRichColorsType, CredShadowType, CredSpaceType } from '../../types/theme.types';
export interface Props extends HtmlHTMLAttributes<HTMLDivElement> {
    /** @default sm */
    radius?: CredRadiusType;
    highlight?: CredRichColorsType;
    shadow?: CredShadowType;
    /** @default sm */
    padding?: CredSpaceType | [CredSpaceType, CredSpaceType] | [CredSpaceType, CredSpaceType, CredSpaceType, CredSpaceType];
    background?: ReactNode;
    header?: ReactNode;
    action?: ReactNode;
    footer?: ReactNode;
    width?: number | string;
    minWidth?: number | string;
    maxWidth?: number | string;
    height?: number | string;
    minHeight?: number | string;
    maxHeight?: number | string;
    hoverable?: boolean;
    hasCustomElements?: boolean;
    borderless?: boolean;
}
declare const Card: FC<PropsWithChildren<Props>>;
export default Card;
