/// <reference types="react" />
import { DropdownProps as AntdDropdownProps } from 'antd';
import { FlyoutProps, OptionValue } from '../flyout';
import { EventProps } from '../../hooks/event.hook';
export type ItemType = 'list' | 'multiple' | 'single' | 'divider';
export interface DropdownTrackEvent {
    value: OptionValue;
    addedItem?: OptionValue;
    removedItem?: OptionValue;
    parent?: OptionValue;
    [key: string]: any;
}
export interface DropdownProps extends Omit<AntdDropdownProps, 'dropdownRender' | 'menu'>, FlyoutProps, EventProps {
}
export interface DropdownModel {
    key?: string;
    type?: ItemType;
    title?: string;
    icon?: React.ReactNode;
    items?: DropdownModel[];
    value?: any;
    onSelect?: (item: DropdownModel[]) => void;
}
