import { FC, PropsWithChildren } from 'react';
import { FilterSaveProps, FilterShareMode } from '../type';
interface ContextProps extends Omit<FilterSaveProps, 'onSave' | 'data' | 'sortBy'> {
    hasSaving: boolean;
    isActive: boolean;
    loading?: boolean;
    onStart(): void;
    onCancel(): void;
    onSaving(): Promise<void>;
    name: string;
    onChangeName(v: string): void;
    description: string;
    onChangeDescription(v: string): void;
    shareMode: FilterShareMode;
    setShareMode(shareMode: FilterShareMode): void;
    onChangeShareMode(v: FilterShareMode): void;
}
export declare const useFilterSaveContext: () => ContextProps;
export declare const FilterSaveContext: FC<PropsWithChildren<FilterSaveProps>>;
export {};
