import React, { HtmlHTMLAttributes } from 'react';
type JustifyContentType = 'normal' | 'center' | 'space-between' | 'space-around' | 'space-evenly' | 'stretch' | 'flex-start' | 'flex-end';
type AlignItemsType = 'center' | 'flex-start' | 'flex-end' | 'normal' | 'stretch';
export interface Props extends HtmlHTMLAttributes<HTMLDivElement> {
    gap?: number;
    justifyContent?: JustifyContentType;
    alignItems?: AlignItemsType;
    direction?: 'column' | 'row';
    block?: boolean;
}
declare const FlexBox: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLDivElement>>;
export default FlexBox;
