import React, { FC, HTMLAttributes } from 'react';
import { CredTextColorsType } from '../../types';
export type TypographyElements = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'p' | 'span' | 'pre';
export type TypographyVariants = 'heading-xxl' | 'heading-xl' | 'heading-lg' | 'heading-md' | 'heading-sm' | 'heading-xs' | 'heading-xxs' | 'body-lg' | 'body-md' | 'body-sm' | 'body-xs';
export type TypographyWeigh = 'bold' | 'medium' | 'regular';
export interface TypographyProps extends HTMLAttributes<HTMLParagraphElement> {
    variant?: TypographyVariants;
    color?: CredTextColorsType;
    children: React.ReactNode;
    as?: TypographyElements;
    weight?: TypographyWeigh;
}
declare const Typography: FC<TypographyProps>;
export default Typography;
